html {
  line-height: 1.15; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
}
body {
  margin: 0;
}
main {
  display: block;
}
h1 {
  font-size: 2em;
  margin: 0.67em 0;
}
hr {
  box-sizing: content-box; /* 1 */
  height: 0; /* 1 */
  overflow: visible; /* 2 */
}
pre {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}
a {
  background-color: transparent;
}
abbr[title] {
  border-bottom: none; /* 1 */
  text-decoration: underline; /* 2 */
  text-decoration: underline dotted; /* 2 */
}
b,
strong {
  font-weight: bolder;
}
code,
kbd,
samp {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}
small {
  font-size: 80%;
}
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}
sub {
  bottom: -0.25em;
}
sup {
  top: -0.5em;
}
img {
  border-style: none;
}
button,
input,
optgroup,
select,
textarea {
  font-family: inherit; /* 1 */
  font-size: 100%; /* 1 */
  line-height: 1.15; /* 1 */
  margin: 0; /* 2 */
}
button,
input {
/* 1 */
  overflow: visible;
}
button,
select {
/* 1 */
  text-transform: none;
}
button,
[type='button'],
[type='reset'],
[type='submit'] {
  -webkit-appearance: button;
}
button::-moz-focus-inner,
[type='button']::-moz-focus-inner,
[type='reset']::-moz-focus-inner,
[type='submit']::-moz-focus-inner {
  border-style: none;
  padding: 0;
}
button:-moz-focusring,
[type='button']:-moz-focusring,
[type='reset']:-moz-focusring,
[type='submit']:-moz-focusring {
  outline: 1px dotted ButtonText;
}
fieldset {
  padding: 0.35em 0.75em 0.625em;
}
legend {
  box-sizing: border-box; /* 1 */
  color: inherit; /* 2 */
  display: table; /* 1 */
  max-width: 100%; /* 1 */
  padding: 0; /* 3 */
  white-space: normal; /* 1 */
}
progress {
  vertical-align: baseline;
}
textarea {
  overflow: auto;
}
[type='checkbox'],
[type='radio'] {
  box-sizing: border-box; /* 1 */
  padding: 0; /* 2 */
}
[type='number']::-webkit-inner-spin-button,
[type='number']::-webkit-outer-spin-button {
  height: auto;
}
[type='search'] {
  outline-offset: -2px; /* 2 */
  -webkit-appearance: textfield; /* 1 */
}
[type='search']::-webkit-search-decoration {
  -webkit-appearance: none;
}
::-webkit-file-upload-button {
  font: inherit; /* 2 */
  -webkit-appearance: button; /* 1 */
}
details {
  display: block;
}
summary {
  display: list-item;
}
template {
  display: none;
}
[hidden] {
  display: none;
}
::selection {
  background: #262a30;
  color: #fff;
}
html,
body {
  height: 100%;
}
body {
  background: #fff;
  color: #555;
  font-family: 'Monda', "PingFang SC", "Microsoft YaHei", sans-serif;
  font-size: 1em;
  line-height: 2;
}
@media (max-width: 991px) {
  body {
    padding-left: 0 !important;
    padding-right: 0 !important;
  }
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: 'Monda', "PingFang SC", "Microsoft YaHei", sans-serif;
  font-weight: bold;
  line-height: 1.5;
  margin: 20px 0 15px;
  padding: 0;
}
h1 {
  font-size: 1.5em;
}
h2 {
  font-size: 1.375em;
}
h3 {
  font-size: 1.25em;
}
h4 {
  font-size: 1.125em;
}
h5 {
  font-size: 1em;
}
h6 {
  font-size: 0.875em;
}
p {
  margin: 0 0 20px 0;
}
a,
span.exturl {
  overflow-wrap: break-word;
  word-wrap: break-word;
  border-bottom: 1px solid #999;
  color: #555;
  outline: none;
  text-decoration: none;
  cursor: pointer;
}
a:hover,
span.exturl:hover {
  border-bottom-color: #37c6c0;
  color: #37c6c0;
}
iframe,
img,
video {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
}
hr {
  background-color: #ddd;
  background-image: repeating-linear-gradient(-45deg, #fff, #fff 4px, transparent 4px, transparent 8px);
  border: 0;
  height: 3px;
  margin: 40px 0;
}
blockquote {
  border-left: 4px solid #ddd;
  color: #666;
  margin: 0;
  padding: 0 15px;
}
blockquote cite::before {
  content: '-';
  padding: 0 5px;
}
dt {
  font-weight: 700;
}
dd {
  margin: 0;
  padding: 0;
}
kbd {
  background-color: #f9f9f9;
  background-image: linear-gradient(top, #eee, #fff, #eee);
  border: 1px solid #ccc;
  border-radius: 0.2em;
  box-shadow: 0.1em 0.1em 0.2em rgba(0,0,0,0.1);
  font-family: inherit;
  padding: 0.1em 0.3em;
  white-space: nowrap;
}
.table-container {
  -webkit-overflow-scrolling: touch;
  overflow: auto;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
  font-size: 0.875em;
  margin: 0 0 20px 0;
  width: 100%;
}
table > tbody > tr:nth-of-type(odd) {
  background-color: #f9f9f9;
}
table > tbody > tr:hover {
  background-color: #f5f5f5;
}
caption,
th,
td {
  font-weight: normal;
  padding: 8px;
  text-align: left;
  vertical-align: middle;
}
th,
td {
  border: 1px solid #ddd;
  border-bottom: 3px solid #ddd;
}
th {
  font-weight: 700;
  padding-bottom: 10px;
}
td {
  border-bottom-width: 1px;
}
.btn {
  background: #37c6c0;
  border: 2px solid #37c6c0;
  border-radius: 0;
  color: #fff;
  display: inline-block;
  font-size: 0.875em;
  line-height: 2;
  padding: 0 20px;
  text-decoration: none;
  transition-property: background-color;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.btn:hover {
  background: #fff;
  border-color: #37c6c0;
  color: #37c6c0;
}
.btn + .btn {
  margin: 0 0 8px 8px;
}
.btn .fa-fw {
  text-align: left;
  width: 1.285714285714286em;
}
.toggle {
  line-height: 0;
}
.toggle .toggle-line {
  background: #fff;
  display: inline-block;
  height: 2px;
  left: 0px;
  margin-top: 3px;
  position: relative;
  top: 0px;
  transition: all 0.4s;
  vertical-align: top;
  width: 100%;
}
.toggle .toggle-line:first-child {
  margin-top: 0;
}
.toggle.toggle-arrow .toggle-line-first {
  left: 50%;
  top: 2px;
  transform: rotate(45deg);
  width: 50%;
}
.toggle.toggle-arrow .toggle-line-middle {
  left: 2px;
  width: 90%;
}
.toggle.toggle-arrow .toggle-line-last {
  left: 50%;
  top: -2px;
  transform: rotate(-45deg);
  width: 50%;
}
.toggle.toggle-close .toggle-line-first {
  transform: rotate(-45deg);
  top: 5px;
}
.toggle.toggle-close .toggle-line-middle {
  opacity: 0;
}
.toggle.toggle-close .toggle-line-last {
  transform: rotate(45deg);
  top: -5px;
}
pre,
.highlight {
  background: #f7f7f7;
  color: #4d4d4c;
  line-height: 1.6;
  margin: 0 auto 20px;
}
pre,
code {
  font-family: 'PT Mono', consolas, Menlo, monospace, "PingFang SC", "Microsoft YaHei";
}
code {
  overflow-wrap: break-word;
  word-wrap: break-word;
  background: #eee;
  border-radius: 3px;
  color: #555;
  padding: 2px 4px;
}
pre {
  overflow: auto;
  padding: 10px;
}
pre code {
  background: none;
  color: #4d4d4c;
  font-size: 0.875em;
  padding: 0;
  text-shadow: none;
}
.highlight *::selection {
  background: #d6d6d6;
}
.highlight pre {
  border: 0;
  margin: 0;
  padding: 10px 0;
}
.highlight table {
  border: 0;
  margin: 0;
  width: auto;
}
.highlight td {
  border: 0;
  padding: 0;
}
.highlight figcaption {
  background: #eee;
  border-bottom: 1px solid #e9e9e9;
  color: #4d4d4c;
  line-height: 1em;
  margin: 0;
  padding: 0.5em;
}
.highlight figcaption::before,
.highlight figcaption::after {
  content: ' ';
  display: table;
}
.highlight figcaption::after {
  clear: both;
}
.highlight figcaption a {
  color: #4d4d4c;
  float: right;
}
.highlight figcaption a:hover {
  border-bottom-color: #4d4d4c;
}
.highlight .gutter pre {
  background-color: #eff2f3;
  color: #869194;
  padding-left: 10px;
  padding-right: 10px;
  text-align: right;
}
.highlight .code pre {
  background-color: #f7f7f7;
  padding-left: 10px;
  width: 100%;
}
.gutter {
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
.gist table {
  width: auto;
}
.gist table td {
  border: 0;
}
pre .deletion {
  background: #fdd;
}
pre .addition {
  background: #dfd;
}
pre .meta {
  color: #eab700;
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
pre .comment {
  color: #8e908c;
}
pre .variable,
pre .attribute,
pre .tag,
pre .name,
pre .regexp,
pre .ruby .constant,
pre .xml .tag .title,
pre .xml .pi,
pre .xml .doctype,
pre .html .doctype,
pre .css .id,
pre .css .class,
pre .css .pseudo {
  color: #c82829;
}
pre .number,
pre .preprocessor,
pre .built_in,
pre .builtin-name,
pre .literal,
pre .params,
pre .constant,
pre .command {
  color: #f5871f;
}
pre .ruby .class .title,
pre .css .rules .attribute,
pre .string,
pre .symbol,
pre .value,
pre .inheritance,
pre .header,
pre .ruby .symbol,
pre .xml .cdata,
pre .special,
pre .formula {
  color: #718c00;
}
pre .title,
pre .css .hexcolor {
  color: #3e999f;
}
pre .function,
pre .python .decorator,
pre .python .title,
pre .ruby .function .title,
pre .ruby .title .keyword,
pre .perl .sub,
pre .javascript .title,
pre .coffeescript .title {
  color: #4271ae;
}
pre .keyword,
pre .javascript .function {
  color: #8959a8;
}
.blockquote-center {
  border-left: none;
  margin: 40px 0;
  padding: 0;
  position: relative;
  text-align: center;
}
.blockquote-center::before,
.blockquote-center::after {
  background-position: 0 -6px;
  background-repeat: no-repeat;
  background-size: 22px 22px;
  content: ' ';
  display: block;
  height: 24px;
  opacity: 0.2;
  position: absolute;
  width: 100%;
}
.blockquote-center::before {
  background-image: url("../images/quote-l.svg");
  border-top: 1px solid #ccc;
  top: -20px;
}
.blockquote-center::after {
  background-image: url("../images/quote-r.svg");
  background-position: 100% 8px;
  border-bottom: 1px solid #ccc;
  bottom: -20px;
}
.blockquote-center p,
.blockquote-center div {
  text-align: center;
}
.post-body .group-picture img {
  border: 0;
  margin: 0 auto;
  padding: 0 3px;
}
.post-body .group-picture-row {
  margin-bottom: 6px;
  overflow: hidden;
}
.post-body .group-picture-column {
  float: left;
  margin-bottom: 10px;
}
.post-body .label {
  display: inline;
  padding: 0 2px;
}
.post-body .label.default {
  background-color: #f0f0f0;
}
.post-body .label.primary {
  background-color: #efe6f7;
}
.post-body .label.info {
  background-color: #e5f2f8;
}
.post-body .label.success {
  background-color: #e7f4e9;
}
.post-body .label.warning {
  background-color: #fcf6e1;
}
.post-body .label.danger {
  background-color: #fae8eb;
}
.post-body .tabs {
  margin-bottom: 20px;
}
.post-body .tabs,
.tabs-comment {
  display: block;
  padding-top: 10px;
  position: relative;
}
.post-body .tabs ul.nav-tabs,
.tabs-comment ul.nav-tabs {
  display: flex;
  flex-wrap: wrap;
  margin: 0;
  margin-bottom: -1px;
  padding: 0;
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs,
  .tabs-comment ul.nav-tabs {
    display: block;
    margin-bottom: 5px;
  }
}
.post-body .tabs ul.nav-tabs li.tab,
.tabs-comment ul.nav-tabs li.tab {
  background-color: #fff;
  border-bottom: 1px solid #ddd;
  border-left: 1px solid transparent;
  border-right: 1px solid transparent;
  border-top: 3px solid transparent;
  flex-grow: 1;
  list-style-type: none;
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs li.tab,
  .tabs-comment ul.nav-tabs li.tab {
    border-bottom: 1px solid transparent;
    border-left: 3px solid transparent;
    border-right: 1px solid transparent;
    border-top: 1px solid transparent;
  }
}
.post-body .tabs ul.nav-tabs li.tab a,
.tabs-comment ul.nav-tabs li.tab a {
  border-bottom: initial;
  display: block;
  line-height: 1.8em;
  outline: 0;
  padding: 0.25em 0.75em;
  text-align: center;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-out;
}
.post-body .tabs ul.nav-tabs li.tab a i,
.tabs-comment ul.nav-tabs li.tab a i {
  width: 1.285714285714286em;
}
.post-body .tabs ul.nav-tabs li.tab.active,
.tabs-comment ul.nav-tabs li.tab.active {
  border-bottom: 1px solid transparent;
  border-left: 1px solid #ddd;
  border-right: 1px solid #ddd;
  border-top: 3px solid #fc6423;
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs li.tab.active,
  .tabs-comment ul.nav-tabs li.tab.active {
    border-bottom: 1px solid #ddd;
    border-left: 3px solid #fc6423;
    border-right: 1px solid #ddd;
    border-top: 1px solid #ddd;
  }
}
.post-body .tabs ul.nav-tabs li.tab.active a,
.tabs-comment ul.nav-tabs li.tab.active a {
  color: #555;
  cursor: default;
}
.post-body .tabs .tab-content .tab-pane,
.tabs-comment .tab-content .tab-pane {
  border: 1px solid #ddd;
  padding: 20px 20px 0 20px;
}
.post-body .tabs .tab-content .tab-pane:not(.active),
.tabs-comment .tab-content .tab-pane:not(.active) {
  display: none;
}
.post-body .tabs .tab-content .tab-pane.active,
.tabs-comment .tab-content .tab-pane.active {
  display: block;
}
.post-body .note {
  margin-bottom: 20px;
  padding: 15px;
  position: relative;
  border: 1px solid #eee;
  border-left-width: 5px;
  border-radius: 3px;
}
.post-body .note h2,
.post-body .note h3,
.post-body .note h4,
.post-body .note h5,
.post-body .note h6 {
  margin-top: 0;
  border-bottom: initial;
  margin-bottom: 0;
  padding-top: 0;
}
.post-body .note p:first-child,
.post-body .note ul:first-child,
.post-body .note ol:first-child,
.post-body .note table:first-child,
.post-body .note pre:first-child,
.post-body .note blockquote:first-child,
.post-body .note img:first-child {
  margin-top: 0;
}
.post-body .note p:last-child,
.post-body .note ul:last-child,
.post-body .note ol:last-child,
.post-body .note table:last-child,
.post-body .note pre:last-child,
.post-body .note blockquote:last-child,
.post-body .note img:last-child {
  margin-bottom: 0;
}
.post-body .note.default {
  border-left-color: #777;
}
.post-body .note.default h2,
.post-body .note.default h3,
.post-body .note.default h4,
.post-body .note.default h5,
.post-body .note.default h6 {
  color: #777;
}
.post-body .note.primary {
  border-left-color: #6f42c1;
}
.post-body .note.primary h2,
.post-body .note.primary h3,
.post-body .note.primary h4,
.post-body .note.primary h5,
.post-body .note.primary h6 {
  color: #6f42c1;
}
.post-body .note.info {
  border-left-color: #428bca;
}
.post-body .note.info h2,
.post-body .note.info h3,
.post-body .note.info h4,
.post-body .note.info h5,
.post-body .note.info h6 {
  color: #428bca;
}
.post-body .note.success {
  border-left-color: #5cb85c;
}
.post-body .note.success h2,
.post-body .note.success h3,
.post-body .note.success h4,
.post-body .note.success h5,
.post-body .note.success h6 {
  color: #5cb85c;
}
.post-body .note.warning {
  border-left-color: #f0ad4e;
}
.post-body .note.warning h2,
.post-body .note.warning h3,
.post-body .note.warning h4,
.post-body .note.warning h5,
.post-body .note.warning h6 {
  color: #f0ad4e;
}
.post-body .note.danger {
  border-left-color: #d9534f;
}
.post-body .note.danger h2,
.post-body .note.danger h3,
.post-body .note.danger h4,
.post-body .note.danger h5,
.post-body .note.danger h6 {
  color: #d9534f;
}
.pagination .prev,
.pagination .next,
.pagination .page-number,
.pagination .space {
  display: inline-block;
  margin: 0 10px;
  padding: 0 11px;
  position: relative;
  top: -1px;
}
@media (max-width: 767px) {
  .pagination .prev,
  .pagination .next,
  .pagination .page-number,
  .pagination .space {
    margin: 0 5px;
  }
}
.pagination {
  border-top: 1px solid #eee;
  margin: 120px 0 40px;
  text-align: center;
}
.pagination .prev,
.pagination .next,
.pagination .page-number {
  border-bottom: 0;
  border-top: 1px solid #eee;
  transition-property: border-color;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.pagination .prev:hover,
.pagination .next:hover,
.pagination .page-number:hover {
  border-top-color: #37c6c0;
}
.pagination .space {
  margin: 0;
  padding: 0;
}
.pagination .prev {
  margin-left: 0;
}
.pagination .next {
  margin-right: 0;
}
.pagination .page-number.current {
  background: #ccc;
  border-top-color: #ccc;
  color: #fff;
}
@media (max-width: 767px) {
  .pagination {
    border-top: none;
  }
  .pagination .prev,
  .pagination .next,
  .pagination .page-number {
    border-bottom: 1px solid #eee;
    border-top: 0;
    margin-bottom: 10px;
    padding: 0 10px;
  }
  .pagination .prev:hover,
  .pagination .next:hover,
  .pagination .page-number:hover {
    border-bottom-color: #37c6c0;
  }
}
.comments {
  margin: 60px 20px 0;
  overflow: hidden;
}
.comment-button-group {
  display: flex;
  flex-wrap: wrap-reverse;
  justify-content: center;
  margin: 1em 0;
}
.comment-button-group .comment-button {
  margin: 0.1em 0.2em;
}
.comment-button-group .comment-button.active {
  background: #fff;
  border-color: #37c6c0;
  color: #37c6c0;
}
.comment-position {
  display: none;
}
.comment-position.active {
  display: block;
}
.tabs-comment {
  background: #fff;
  margin-top: 4em;
  padding-top: 0;
}
.tabs-comment .comments {
  border: 0;
  box-shadow: none;
  margin-top: 0;
  padding-top: 0;
}
.container {
  min-height: 100%;
  position: relative;
}
.main-inner {
  margin: 0 auto;
  width: 700px;
}
@media (min-width: 1200px) {
  .container .main-inner {
    width: 800px;
  }
}
@media (min-width: 1600px) {
  .container .main-inner {
    width: 900px;
  }
}
.header {
  background: transparent;
}
.header-inner {
  margin: 0 auto;
  padding: 100px 0 70px;
  position: relative;
  width: 700px;
}
@media (min-width: 1200px) {
  .container .header-inner {
    width: 800px;
  }
}
@media (min-width: 1600px) {
  .container .header-inner {
    width: 900px;
  }
}
.headband {
  background: #37c6c0;
  height: 3px;
}
.site-meta {
  margin: 0;
  text-align: center;
}
@media (max-width: 767px) {
  .site-meta {
    text-align: center;
  }
}
.brand {
  background: #37c6c0;
  border-bottom: none;
  color: #fff;
  display: inline-block;
  line-height: 1.375em;
  padding: 0 40px;
  position: relative;
}
.brand:hover {
  color: #fff;
}
.logo {
  display: inline-block;
  line-height: 36px;
  margin-right: 5px;
  vertical-align: top;
}
.site-title {
  display: inline-block;
  font-family: 'Roboto Slab', 'Monda', "PingFang SC", "Microsoft YaHei", sans-serif;
  font-size: 1.375em;
  font-weight: normal;
  line-height: 1.5;
  vertical-align: top;
}
.site-subtitle {
  color: #999;
  font-size: 0.8125em;
  margin-top: 10px;
}
.use-motion .brand {
  opacity: 0;
}
.use-motion .logo,
.use-motion .site-title,
.use-motion .site-subtitle,
.use-motion .custom-logo-image {
  opacity: 0;
  position: relative;
  top: -10px;
}
.site-nav-toggle {
  display: none;
  left: 10px;
  position: absolute;
}
@media (max-width: 767px) {
  .site-nav-toggle {
    display: block;
  }
}
.site-nav-toggle .toggle {
  background: transparent;
  border: 0;
  margin-top: 2px;
  padding: 10px;
  width: 22px;
}
.site-nav-toggle .toggle .toggle-line {
  background: #555;
  border-radius: 1px;
}
.site-nav {
  display: block;
}
@media (max-width: 767px) {
  .site-nav {
    border-top: 1px solid #ddd;
    clear: both;
    display: none;
    margin: 0 -10px;
    padding: 0 10px;
  }
}
.site-nav.site-nav-on {
  display: block;
}
.menu {
  margin-top: 20px;
  padding-left: 0;
  text-align: center;
}
.menu-item {
  display: inline-block;
  list-style: none;
  margin: 0 10px;
}
@media (max-width: 767px) {
  .menu-item {
    margin-top: 10px;
  }
}
.menu-item a,
.menu-item span.exturl {
  border-bottom: 0;
  display: block;
  font-size: 0.8125em;
  transition-property: border-color;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
@media (hover: none) {
  .menu-item a:hover,
  .menu-item span.exturl:hover {
    border-bottom-color: transparent !important;
  }
}
.menu-item .fa {
  margin-right: 8px;
}
.menu-item .badge {
  display: inline-block;
  font-weight: 700;
  line-height: 1;
  margin-left: 0.35em;
  margin-top: 0.35em;
  text-align: center;
  white-space: nowrap;
}
@media (max-width: 767px) {
  .menu-item .badge {
    float: right;
    margin-left: 0;
  }
}
.use-motion .menu-item {
  opacity: 0;
}
.sidebar {
  background: #37c6c0;
  bottom: 0;
  box-shadow: inset 0 2px 6px #000;
  position: fixed;
  top: 0;
  z-index: 200;
}
.sidebar a,
.sidebar span.exturl {
  border-bottom-color: #555;
  color: #999;
}
.sidebar a:hover,
.sidebar span.exturl:hover {
  border-bottom-color: #eee;
  color: #eee;
}
@media (max-width: 991px) {
  .sidebar {
    display: none;
  }
}
.sidebar-inner {
  color: #999;
  padding: 20px 10px;
  text-align: center;
}
.site-overview-wrap {
  overflow-x: hidden;
  overflow-y: auto;
}
.cc-license {
  margin-top: 10px;
  text-align: center;
}
.cc-license .cc-opacity {
  border-bottom: none;
  opacity: 0.7;
}
.cc-license .cc-opacity:hover {
  opacity: 0.9;
}
.cc-license img {
  display: inline-block;
}
.site-author-image {
  border: 2px solid #333;
  display: block;
  height: auto;
  margin: 0 auto;
  max-width: 96px;
  padding: 2px;
}
.site-author-name {
  color: #f5f5f5;
  font-weight: normal;
  margin: 5px 0 0;
  text-align: center;
}
.site-description {
  color: #999;
  font-size: 1em;
  margin-top: 5px;
  text-align: center;
}
.links-of-author {
  margin-top: 20px;
}
.links-of-author a,
.links-of-author span.exturl {
  border-bottom-color: #555;
  display: inline-block;
  font-size: 0.8125em;
  margin-bottom: 10px;
  margin-right: 10px;
  vertical-align: middle;
}
.links-of-author a::before,
.links-of-author span.exturl::before {
  background: #df61ff;
  border-radius: 50%;
  content: ' ';
  display: inline-block;
  height: 4px;
  margin-right: 3px;
  vertical-align: middle;
  width: 4px;
}
.feed-link,
.chat {
  margin-top: 10px;
}
.feed-link a,
.chat a {
  border: 1px solid #fc6423;
  border-radius: 4px;
  color: #fc6423;
  display: inline-block;
  padding: 0 15px;
}
.feed-link a .fa,
.chat a .fa {
  margin-right: 5px;
}
.feed-link a:hover,
.chat a:hover {
  background: #fc6423;
  border: 1px solid #fc6423;
  color: #fff;
}
.feed-link a:hover .fa,
.chat a:hover .fa {
  color: #fff;
}
.links-of-blogroll {
  font-size: 0.8125em;
  margin-top: 10px;
}
.links-of-blogroll-title {
  font-size: 0.875em;
  font-weight: 600;
  margin-top: 0;
}
.links-of-blogroll-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.links-of-blogroll-item {
  padding: 2px 10px;
}
.links-of-blogroll-item a,
.links-of-blogroll-item span.exturl {
  box-sizing: border-box;
  display: inline-block;
  max-width: 280px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
#sidebar-dimmer {
  display: none;
}
@media (max-width: 767px) {
  #sidebar-dimmer {
    background: #000;
    display: block;
    height: 100%;
    left: 100%;
    opacity: 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 100;
  }
  .sidebar-active + #sidebar-dimmer {
    opacity: 0.7;
    transform: translateX(-100%);
    transition: opacity 0.5s;
  }
}
.sidebar-nav {
  margin: 0 0 20px;
  padding-left: 0;
}
.sidebar-nav li {
  border-bottom: 1px solid transparent;
  color: #555;
  cursor: pointer;
  display: inline-block;
  font-size: 0.875em;
}
.sidebar-nav li.sidebar-nav-overview {
  margin-left: 10px;
}
.sidebar-nav li:hover {
  color: #f5f5f5;
}
.sidebar-nav .sidebar-nav-active {
  border-bottom-color: #87daff;
  color: #87daff;
}
.sidebar-nav .sidebar-nav-active:hover {
  color: #87daff;
}
.sidebar-panel {
  display: none;
}
.sidebar-panel-active {
  display: block;
}
.sidebar-toggle {
  background: #37c6c0;
  bottom: 45px;
  cursor: pointer;
  height: 14px;
  left: 30px;
  padding: 5px;
  position: fixed;
  width: 14px;
  z-index: 300;
}
@media (max-width: 991px) {
  .sidebar-toggle {
    left: 20px;
    opacity: 0.8;
    display: none;
  }
}
.sidebar-toggle:hover .toggle-line {
  background: #87daff;
}
.post-toc-wrap {
  overflow-x: hidden;
  overflow-y: auto;
}
.post-toc {
  font-size: 0.875em;
}
.post-toc ol {
  list-style: none;
  margin: 0;
  padding: 0 2px 5px 10px;
  text-align: left;
}
.post-toc ol > ol {
  padding-left: 0;
}
.post-toc ol a {
  border-bottom-color: #555;
  color: #999;
  transition-property: all;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.post-toc ol a:hover {
  border-bottom-color: #ccc;
  color: #ccc;
}
.post-toc .nav-item {
  line-height: 1.8;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.post-toc .nav .nav-child {
  display: none;
}
.post-toc .nav .active > .nav-child {
  display: block;
}
.post-toc .nav .active-current > .nav-child {
  display: block;
}
.post-toc .nav .active-current > .nav-child > .nav-item {
  display: block;
}
.post-toc .nav .active > a {
  border-bottom-color: #87daff;
  color: #87daff;
}
.post-toc .nav .active-current > a {
  color: #87daff;
}
.post-toc .nav .active-current > a:hover {
  color: #87daff;
}
.site-state {
  display: flex;
  justify-content: center;
  line-height: 1.4;
  margin-top: 10px;
  overflow: hidden;
  text-align: center;
  white-space: nowrap;
}
.site-state-item {
  border-left: 1px solid #333;
  padding: 0 15px;
}
.site-state-item:first-child {
  border-left: none;
}
.site-state-item a {
  border-bottom: none;
}
.site-state-item-count {
  color: inherit;
  display: block;
  font-size: 1.25em;
  font-weight: 600;
  text-align: center;
}
.site-state-item-name {
  color: inherit;
  font-size: 0.875em;
}
.footer {
  color: #999;
  font-size: 0.875em;
  padding: 20px 0;
}
.footer.footer-fixed {
  bottom: 0;
  left: 0;
  position: absolute;
  right: 0;
}
.footer img {
  border: 0;
}
.footer-inner {
  box-sizing: border-box;
  margin: 0 auto;
  text-align: center;
  width: 700px;
}
@media (min-width: 1200px) {
  .container .footer-inner {
    width: 800px;
  }
}
@media (min-width: 1600px) {
  .container .footer-inner {
    width: 900px;
  }
}
.with-love {
  color: #808080;
  display: inline-block;
  margin: 0 5px;
}
.powered-by,
.theme-info {
  display: inline-block;
}
@-moz-keyframes iconAnimate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
@-webkit-keyframes iconAnimate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
@-o-keyframes iconAnimate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
@keyframes iconAnimate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
.back-to-top {
  background: #37c6c0;
  bottom: -100px;
  box-sizing: border-box;
  color: #fff;
  cursor: pointer;
  font-size: 12px;
  left: 30px;
  opacity: 1;
  padding: 0 6px;
  position: fixed;
  text-align: center;
  transition-property: bottom;
  z-index: 300;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
  width: 24px;
}
.back-to-top span {
  display: none;
}
.back-to-top:hover {
  color: #87daff;
}
.back-to-top.back-to-top-on {
  bottom: 19px;
}
@media (max-width: 991px) {
  .back-to-top {
    left: 20px;
    opacity: 0.8;
  }
}
.post-body {
  overflow-wrap: break-word;
  word-wrap: break-word;
  font-family: 'Monda', "PingFang SC", "Microsoft YaHei", sans-serif;
}
@media (min-width: 1200px) {
  .post-body {
    font-size: 1.125em;
  }
}
.post-body span.exturl .fa {
  font-size: 0.875em;
  margin-left: 4px;
}
.post-body .image-caption,
.post-body .figure .caption {
  color: #999;
  font-size: 0.875em;
  font-weight: bold;
  line-height: 1;
  margin: -20px auto 15px;
  text-align: center;
}
.post-sticky-flag {
  display: inline-block;
  transform: rotate(30deg);
}
.post-button {
  margin-top: 40px;
  text-align: center;
}
.use-motion .post-block,
.use-motion .pagination,
.use-motion .comments {
  opacity: 0;
}
.use-motion .post-header {
  opacity: 0;
}
.use-motion .post-body {
  opacity: 0;
}
.use-motion .collection-header {
  opacity: 0;
}
.posts-collapse {
  margin-left: 55px;
  position: relative;
}
@media (max-width: 767px) {
  .posts-collapse {
    margin-left: 20px;
    margin-right: 20px;
  }
}
.posts-collapse .collection-title {
  font-size: 1.125em;
  position: relative;
}
.posts-collapse .collection-title::before {
  background: #999;
  border: 1px solid #fff;
  border-radius: 50%;
  content: ' ';
  height: 10px;
  left: 0;
  margin-left: -6px;
  margin-top: -4px;
  position: absolute;
  top: 50%;
  width: 10px;
}
.posts-collapse .collection-year {
  margin: 60px 0;
  position: relative;
}
.posts-collapse .collection-year::before {
  background: #bbb;
  border-radius: 50%;
  content: ' ';
  height: 8px;
  left: 0;
  margin-left: -4px;
  margin-top: -4px;
  position: absolute;
  top: 50%;
  width: 8px;
}
.posts-collapse .collection-header {
  display: inline-block;
  margin: 0 0 0 20px;
}
.posts-collapse .collection-header small {
  color: #bbb;
  margin-left: 5px;
}
.posts-collapse .post-header {
  border-bottom: 1px dashed #ccc;
  margin: 30px 0;
  padding-left: 15px;
  position: relative;
  transition-property: border;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.posts-collapse .post-header::before {
  background: #bbb;
  border: 1px solid #fff;
  border-radius: 50%;
  content: ' ';
  height: 6px;
  left: 0;
  margin-left: -4px;
  position: absolute;
  top: 0.75em;
  transition-property: background;
  width: 6px;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.posts-collapse .post-header:hover {
  border-bottom-color: #666;
}
.posts-collapse .post-header:hover::before {
  background: #37c6c0;
}
.posts-collapse .post-meta {
  display: inline;
  font-size: 0.75em;
  margin-right: 10px;
}
.posts-collapse .post-title {
  display: inline;
  font-size: 1em;
  font-weight: normal;
  margin-bottom: 0;
  margin-top: 0;
}
.posts-collapse .post-title a,
.posts-collapse .post-title span.exturl {
  border-bottom: none;
  color: #666;
}
.posts-collapse::before {
  background: #f5f5f5;
  content: ' ';
  height: 100%;
  left: 0;
  margin-left: -2px;
  position: absolute;
  top: 1.25em;
  width: 4px;
}
.posts-collapse .fa-external-link {
  font-size: 0.875em;
  margin-left: 5px;
}
.post-eof {
  background: #ccc;
  height: 1px;
  margin: 80px auto 60px;
  text-align: center;
  width: 8%;
}
.post-block:last-child .post-eof {
  display: none;
}
.posts-expand {
  padding-top: 40px;
}
@media (max-width: 767px) {
  .posts-expand {
    margin: 0 20px;
  }
}
@media (min-width: 992px) {
  .post-body {
    text-align: justify;
  }
}
@media (max-width: 991px) {
  .post-body {
    text-align: justify;
  }
}
.post-body h2,
.post-body h3,
.post-body h4,
.post-body h5,
.post-body h6 {
  padding-top: 10px;
}
.post-body h2 .header-anchor,
.post-body h3 .header-anchor,
.post-body h4 .header-anchor,
.post-body h5 .header-anchor,
.post-body h6 .header-anchor {
  border-bottom-style: none;
  color: #ccc;
  float: right;
  margin-left: 10px;
  visibility: hidden;
}
.post-body h2 .header-anchor:hover,
.post-body h3 .header-anchor:hover,
.post-body h4 .header-anchor:hover,
.post-body h5 .header-anchor:hover,
.post-body h6 .header-anchor:hover {
  color: inherit;
}
.post-body h2:hover .header-anchor,
.post-body h3:hover .header-anchor,
.post-body h4:hover .header-anchor,
.post-body h5:hover .header-anchor,
.post-body h6:hover .header-anchor {
  visibility: visible;
}
.post-body img {
  border: 1px solid #ddd;
  box-sizing: border-box;
  padding: 3px;
}
@media (max-width: 767px) {
  .post-body img {
    padding: initial;
  }
}
.post-body iframe,
.post-body img,
.post-body video {
  margin-bottom: 20px;
}
.post-body .video-container {
  height: 0;
  margin-bottom: 20px;
  overflow: hidden;
  padding-top: 75%;
  position: relative;
  width: 100%;
}
.post-body .video-container iframe,
.post-body .video-container object,
.post-body .video-container embed {
  height: 100%;
  left: 0;
  margin: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
.post-gallery {
  border-collapse: separate;
  display: table;
  table-layout: fixed;
  width: 100%;
}
.post-gallery-row {
  display: table-row;
}
.post-gallery .post-gallery-img {
  border: 0;
  display: table-cell;
  text-align: center;
  vertical-align: middle;
}
.post-gallery .post-gallery-img img {
  border: 0;
  max-height: 100%;
  max-width: 100%;
}
.fancybox-close,
.fancybox-close:hover {
  border: 0;
}
.posts-expand .post-header {
  font-size: 1.125em;
}
.posts-expand .post-title {
  overflow-wrap: break-word;
  word-wrap: break-word;
  font-weight: 400;
  margin: initial;
  text-align: center;
}
.posts-expand .post-title-link {
  border-bottom: none;
  color: #555;
  display: inline-block;
  position: relative;
  vertical-align: top;
}
.posts-expand .post-title-link::before {
  background-color: #000;
  bottom: 0;
  content: '';
  height: 2px;
  left: 0;
  position: absolute;
  transform: scaleX(0);
  visibility: hidden;
  width: 100%;
  transition-delay: 0s;
  transition-duration: 0.2s;
  transition-timing-function: ease-in-out;
}
.posts-expand .post-title-link:hover::before {
  transform: scaleX(1);
  visibility: visible;
}
.posts-expand .post-title-link .fa {
  font-size: 0.875em;
  margin-left: 5px;
}
.posts-expand .post-meta {
  color: #999;
  font-family: 'Monda', "PingFang SC", "Microsoft YaHei", sans-serif;
  font-size: 0.75em;
  margin: 3px 0 60px 0;
  text-align: center;
}
.posts-expand .post-meta .post-description {
  font-size: 0.875em;
  margin-top: 2px;
}
.posts-expand .post-meta time {
  border-bottom: 1px dashed #999;
  cursor: pointer;
}
.post-meta .post-meta-item + .post-meta-item::before {
  content: '|';
  margin: 0 0.5em;
}
.post-meta-divider {
  margin: 0 0.5em;
}
.post-meta-item-icon {
  margin-right: 3px;
}
@media (max-width: 991px) {
  .post-meta-item-icon {
    display: inline-block;
  }
}
@media (max-width: 991px) {
  .post-meta-item-text {
    display: none;
  }
}
.post-nav {
  border-top: 1px solid #eee;
  display: table;
  margin-top: 15px;
  width: 100%;
}
.post-nav-divider {
  display: table-cell;
  width: 10%;
}
.post-nav-item {
  display: table-cell;
  padding: 10px 0 0 0;
  vertical-align: top;
  width: 45%;
}
.post-nav-item a {
  border-bottom: none;
  color: #555;
  display: block;
  font-size: 0.875em;
  line-height: 1.6;
  position: relative;
}
.post-nav-item a:hover {
  border-bottom: none;
  color: #37c6c0;
}
.post-nav-item a:active {
  top: 2px;
}
.post-nav-item .fa {
  font-size: 0.75em;
  margin-right: 5px;
}
.post-nav-next a {
  padding-left: 5px;
}
.post-nav-prev {
  text-align: right;
}
.post-nav-prev a {
  padding-right: 5px;
}
.post-nav-prev .fa {
  margin-left: 5px;
}
.rtl.post-body p,
.rtl.post-body a,
.rtl.post-body h1,
.rtl.post-body h2,
.rtl.post-body h3,
.rtl.post-body h4,
.rtl.post-body h5,
.rtl.post-body h6,
.rtl.post-body li,
.rtl.post-body ul,
.rtl.post-body ol {
  direction: rtl;
  font-family: UKIJ Ekran;
}
.rtl.post-title {
  font-family: UKIJ Ekran;
}
.post-tags {
  margin-top: 40px;
  text-align: center;
}
.post-tags a {
  display: inline-block;
  font-size: 0.8125em;
  margin-right: 10px;
}
.post-widgets {
  border-top: 1px solid #eee;
  margin-top: 15px;
  text-align: center;
}
.wp_rating {
  height: 20px;
  line-height: 20px;
  margin-top: 10px;
  padding-top: 6px;
  text-align: center;
}
.social-like {
  display: flex;
  font-size: 0.875em;
  justify-content: center;
  text-align: center;
}
.vk_like {
  align-self: center;
  height: 21px;
  padding-top: 7px;
  width: 85px;
}
.fb_like {
  align-self: center;
  height: 30px;
}
.category-all-page .category-all-title {
  text-align: center;
}
.category-all-page .category-all {
  margin-top: 20px;
}
.category-all-page .category-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.category-all-page .category-list-item {
  margin: 5px 10px;
}
.category-all-page .category-list-count {
  color: #bbb;
}
.category-all-page .category-list-count::before {
  content: ' (';
  display: inline;
}
.category-all-page .category-list-count::after {
  content: ') ';
  display: inline;
}
.category-all-page .category-list-child {
  padding-left: 10px;
}
#event-list {
  padding: 0;
}
#event-list hr {
  background: #37c6c0;
  margin: 20px 0 45px 0;
}
#event-list hr::after {
  background: #37c6c0;
  color: #fff;
  content: 'NOW';
  display: inline-block;
  font-weight: bold;
  padding: 0 5px;
  text-align: right;
}
#event-list li.event {
  background: #f9f9f9;
  margin: 20px 0;
  min-height: 40px;
  padding-left: 10px;
}
#event-list li.event h2.event-summary {
  margin: 0;
  padding-bottom: 3px;
}
#event-list li.event h2.event-summary::before {
  color: #bbb;
  content: '\f111';
  display: inline-block;
  font-family: 'FontAwesome';
  font-size: 10px;
  margin-right: 25px;
  vertical-align: middle;
}
#event-list li.event span.event-relative-time {
  color: #bbb;
  display: inline-block;
  font-size: 12px;
  font-weight: 400;
  padding-left: 12px;
}
#event-list li.event span.event-details {
  color: #bbb;
  display: block;
  line-height: 18px;
  margin-left: 56px;
  padding-bottom: 6px;
  padding-top: 3px;
  text-indent: -24px;
}
#event-list li.event span.event-details::before {
  color: #bbb;
  display: inline-block;
  font-family: FontAwesome;
  margin-right: 9px;
  text-align: center;
  text-indent: 0;
  width: 14px;
}
#event-list li.event span.event-details.event-location::before {
  content: '\f041';
}
#event-list li.event span.event-details.event-duration::before {
  content: '\f017';
}
#event-list li.event-past {
  background: #fcfcfc;
  padding: 15px 0 15px 10px;
}
#event-list li.event-past > * {
  opacity: 0.9;
}
#event-list li.event-past h2.event-summary {
  color: #bbb;
}
#event-list li.event-past h2.event-summary::before {
  color: #dfdfdf;
}
#event-list li.event-now {
  background: #37c6c0;
  color: #fff;
  padding: 15px 0 15px 10px;
}
#event-list li.event-now h2.event-summary::before {
  animation: dot-flash 1s alternate infinite ease-in-out;
  color: #fff;
}
#event-list li.event-now * {
  color: #fff !important;
}
#event-list li.event-future {
  background: #37c6c0;
  color: #fff;
  padding: 15px 0 15px 10px;
}
#event-list li.event-future h2.event-summary::before {
  animation: dot-flash 1s alternate infinite ease-in-out;
  color: #fff;
}
#event-list li.event-future * {
  color: #fff !important;
}
@-moz-keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
@-webkit-keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
@-o-keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
@keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
ul.breadcrumb {
  font-size: 0.75em;
  list-style: none;
  margin: 1em 0;
  padding: 0 2em;
  text-align: center;
}
ul.breadcrumb li {
  display: inline;
}
ul.breadcrumb li + li::before {
  content: '/\00a0';
  font-weight: normal;
  padding: 0.5em;
}
ul.breadcrumb li + li:last-child {
  font-weight: bold;
}
.tag-cloud {
  text-align: center;
}
.tag-cloud a {
  display: inline-block;
  margin: 10px;
}
.tag-cloud a:hover {
  color: #37c6c0 !important;
}
@media (max-width: 767px) {
  .header-inner,
  .container .main-inner,
  .footer-inner {
    width: auto;
  }
}
@media (max-width: 767px) {
  .header-inner {
    padding: 50px 0 35px;
  }
}
embed {
  display: block;
  margin: 0 auto 25px auto;
}
.custom-logo .site-meta-headline {
  text-align: center;
}
.custom-logo .brand {
  background: none;
}
.custom-logo .site-title {
  color: #37c6c0;
  margin: 10px auto 0;
}
.custom-logo .site-title a {
  border: 0;
}
.custom-logo-image {
  background: #fff;
  margin: 0 auto;
  max-width: 150px;
  padding: 5px;
}
@media (max-width: 767px) {
  .site-nav {
    background: #fff;
    border-bottom: 1px solid #ddd;
    left: 0;
    margin: 0;
    padding: 0;
    width: 100%;
  }
}
.site-nav-toggle {
  top: 50px;
}
@media (max-width: 767px) {
  .menu {
    text-align: left;
  }
}
.menu-item-active a,
.menu .menu-item a:hover,
.menu .menu-item span.exturl:hover {
  border-bottom: 1px solid #37c6c0 !important;
  color: #37c6c0;
}
@media (max-width: 767px) {
  .menu-item-active a,
  .menu .menu-item a:hover,
  .menu .menu-item span.exturl:hover {
    border-bottom: 1px dotted #ddd !important;
  }
}
@media (max-width: 767px) {
  .menu .menu-item {
    display: block;
    margin: 0 10px;
    vertical-align: top;
  }
}
.menu .menu-item a,
.menu .menu-item span.exturl {
  border-bottom: 1px solid transparent;
}
@media (max-width: 767px) {
  .menu .menu-item a,
  .menu .menu-item span.exturl {
    padding: 5px 10px;
  }
}
@media (min-width: 768px) and (max-width: 991px) {
  .menu .menu-item .fa {
    display: block;
    line-height: 2;
    margin-right: 0;
    width: 100%;
  }
}
@media (min-width: 992px) {
  .menu .menu-item .fa {
    display: block;
    line-height: 2;
    margin-right: 0;
    width: 100%;
  }
}
.menu .menu-item .badge {
  background-color: #eee;
  padding: 1px 4px;
}
.sidebar {
  left: -320px;
}
.sidebar.sidebar-active {
  left: 0;
}
.sidebar {
  transition: all 0.4s;
  width: 320px;
}
